//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//
#include "colors.inc"

//--- Bright Metallic Gold
#declare Gold2 =
texture {
  pigment { color red 0.64 green 0.51 blue 0.05 }
  finish {
    crand 0.02
    ambient 0.3
    diffuse 0.5
    reflection 0.6
    brilliance 8
    specular 0.5
  }
}

//--- Bright Metallic Blue
#declare Bold2 =
texture {
  pigment { color MidnightBlue }
  finish {
    crand 0.02
    ambient 0.3
    diffuse 0.6
    reflection 0.4
    brilliance 8
    specular 0.5
  }
}

#declare stone4 =
texture {
  pigment { color Feldspar }
  finish {
    ambient 0.2
    diffuse 0.8
    phong 1.0
    crand 0.09
  }
}

#declare GrayStone1 =
texture {
  pigment {
    granite
    color_map {
      [0 0.5 color Gray60 color Gray80]
      [0.5 1 color Gray70 color Gray40]
    } 
  }
  finish {
    ambient 0.2
    diffuse 0.6
    phong 0.4
    phong_size 80
    crand 0.08
  }
}

#declare GrayStone2 =
texture {
  pigment {
    granite
    color_map {
      [0 0.5 color Gray50 color Gray70]
      [0.5 1 color Gray60 color Gray30]
    } 
  }
  finish {
    ambient 0.2
    diffuse 0.6
    phong 0.4
    phong_size 80
    crand 0.08
  }
}

#declare GrayStone3 =
texture {
  pigment {
    granite
    color_map {
      [0 0.5 color Gray40 color Gray70]
      [0.5 1 color Gray60 color Gray30]
    } 
  }
  finish {
    ambient 0.2
    diffuse 0.6
    phong 0.4
    phong_size 80
    reflection 0.2
    crand 0.08
  }
}

#declare GrayStone4 =
texture {
  pigment {
    granite
    color_map {
      [0 0.5 color Gray60 color Gray80]
      [0.5 1 color Gray70 color Gray50]
    } 
  }
  finish {
    ambient 0.2
    diffuse 0.6
    phong 0.4
    phong_size 80
    reflection 0.3
    crand 0.08
  }
}

#declare GrayStone5 =
texture {
  pigment {
    granite
    color_map {
      [0 0.5 color Gray60 color Wheat]
      [0.5 1 color Gray70 color Gray50]
    } 
  }
  finish {
    ambient 0.2
    diffuse 0.6
    phong 0.4
    phong_size 80
    reflection 0.3
    crand 0.08
  }
}

//---- Brass
#declare brass =
texture { 
  pigment { color red 0.80 green 0.58 blue 0.0 }
  finish {
    metallic 
    ambient 0.4 
    diffuse 0.3 
    reflection 0.5 
    brilliance 6 
    phong 1.0 
  }
}

//--- Metalic Silver
#declare silver =
texture { 
  pigment { color rgb 0.7 }
  finish {
    crand 0.02 
    ambient 0.4 
    diffuse 0.7
    reflection 0.9 
    brilliance 7.0
    specular 0.5
  }
}

#declare bod_color1 = 
texture { 
  pigment { color red 0.7 green 0 blue 0.1 }
  finish {
    diffuse 0.6
    ambient 0.15 
    phong 1 
    phong_size 80 
  }        
}

#declare bod_color2 = 
texture { 
   pigment { color Scarlet }
   finish {
      diffuse 0.4
      ambient 0.15 
      phong 1  
      phong_size 80
   }
}

#declare bod_color3 = 
texture { 
  pigment { color red 0.7 green 0 blue 0.1 }
  finish {
    diffuse 0.6
    ambient 0.15 
    phong 1 
    phong_size 80 
  }     
}

#declare bod_color4 = texture { Gold2  }

#declare bod_color5 = 
texture { 
  pigment { color rgb 0.2 }
  finish {
    ambient 0.2
    diffuse 0.6
    phong 1
    crand 0.03
  }
}

#declare bod_color6 =
texture {
  pigment { color rgb 0.15 }
  finish {
    diffuse 0.7
    ambient 0.15
    phong 1
    phong_size 80
    crand 0.03
  }
}

#declare st1 =
texture {
  pigment {
    leopard
    turbulence 0.3
    color_map {
      [0.000 0.175   color red  1.000  green  0.718  blue  0.541  filter  0.000  color red  0.890  green  0.651  blue  0.612  filter  0.000]
      [0.175 0.316   color red  0.890  green  0.651  blue  0.612  filter  0.000  color red  1.000  green  0.820  blue  0.675  filter  0.000]
      [0.316 0.386   color red  1.000  green  0.820  blue  0.675  filter  0.000  color red  0.816  green  0.400  blue  0.345  filter  0.000]
      [0.386 0.447   color red  0.816  green  0.400  blue  0.345  filter  0.000  color red  0.937  green  0.729  blue  0.561  filter  0.000]
      [0.447 0.632   color red  0.937  green  0.729  blue  0.561  filter  0.000  color red  0.878  green  0.604  blue  0.565  filter  0.000]
      [0.632 0.754   color red  0.878  green  0.604  blue  0.565  filter  0.000  color red  0.984  green  0.780  blue  0.655  filter  0.000]
      [0.754 0.842   color red  0.984  green  0.780  blue  0.655  filter  0.000  color red  1.000  green  0.812  blue  0.608  filter  0.000]
      [0.842 0.982   color red  1.000  green  0.812  blue  0.608  filter  0.000  color red  1.000  green  0.678  blue  0.478  filter  0.000]
      [0.982 1.001   color red  1.000  green  0.678  blue  0.478  filter  0.000  color red  1.000  green  0.718  blue  0.541  filter  0.000]
    }
  }
  finish { crand 0.08 }
}

//-------------- creams & rose With high filter's for top layer
#declare st2 =
texture {
  pigment {
    marble
    turbulence 0.4
    color_map {
      [0.000 0.175   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  0.843  green  0.678  blue  0.655  filter  0.753]
      [0.175 0.228   color red  0.843  green  0.678  blue  0.655  filter  0.753  color red  0.906  green  0.831  blue  0.773  filter  0.298]
      [0.228 0.386   color red  0.906  green  0.831  blue  0.773  filter  0.298  color red  0.992  green  0.718  blue  0.545  filter  0.494]
      [0.386 0.412   color red  0.992  green  0.718  blue  0.545  filter  0.494  color red  0.333  green  0.188  blue  0.067  filter  0.384]
      [0.412 0.439   color red  0.333  green  0.188  blue  0.067  filter  0.384  color red  0.925  green  0.557  blue  0.514  filter  0.478]
      [0.439 0.684   color red  0.925  green  0.557  blue  0.514  filter  0.478  color red  0.984  green  0.780  blue  0.655  filter  0.596]
      [0.684 0.781   color red  0.984  green  0.780  blue  0.655  filter  0.596  color red  0.965  green  0.847  blue  0.675  filter  0.780]
      [0.781 0.982   color red  0.965  green  0.847  blue  0.675  filter  0.780  color red  1.000  green  0.718  blue  0.541  filter  0.890]
      [0.982 1.001   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  1.000  green  0.718  blue  0.541  filter  0.890]
    }
  }
}

#declare st3 =
texture {
  pigment {
    spotted
    turbulence 0.4
    color_map {
      [0.000 0.202   color red  1.000  green  0.718  blue  0.541  filter  0.000  color red  0.890  green  0.651  blue  0.612  filter  0.000]
      [0.202 0.298   color red  0.890  green  0.651  blue  0.612  filter  0.000  color red  1.000  green  0.820  blue  0.675  filter  0.000]
      [0.298 0.377   color red  1.000  green  0.820  blue  0.675  filter  0.000  color red  0.890  green  0.643  blue  0.612  filter  0.000]
      [0.377 0.465   color red  0.890  green  0.643  blue  0.612  filter  0.000  color red  0.937  green  0.729  blue  0.561  filter  0.000]
      [0.465 0.544   color red  0.937  green  0.729  blue  0.561  filter  0.000  color red  0.878  green  0.604  blue  0.565  filter  0.000]
      [0.544 0.640   color red  0.878  green  0.604  blue  0.565  filter  0.000  color red  0.984  green  0.780  blue  0.655  filter  0.000]
      [0.640 0.860   color red  0.984  green  0.780  blue  0.655  filter  0.000  color red  1.000  green  0.863  blue  0.635  filter  0.000]
      [0.860 0.982   color red  1.000  green  0.863  blue  0.635  filter  0.000  color red  1.000  green  0.765  blue  0.620  filter  0.000]
      [0.982 1.001   color red  1.000  green  0.765  blue  0.620  filter  0.000  color red  1.000  green  0.718  blue  0.541  filter  0.000]
    }
  }
  finish { crand 0.05 }
}

#declare st4 =
texture {
  pigment {
    spotted
    turbulence 0.4
    color_map {
      [0.000 0.202   color red  0.788  green  0.659  blue  0.573  filter  0.000  color red  0.749  green  0.612  blue  0.592  filter  0.000]
      [0.202 0.298   color red  0.749  green  0.612  blue  0.592  filter  0.000  color red  0.733  green  0.643  blue  0.565  filter  0.000]
      [0.298 0.377   color red  0.733  green  0.643  blue  0.565  filter  0.000  color red  0.663  green  0.627  blue  0.608  filter  0.000]
      [0.377 0.465   color red  0.663  green  0.627  blue  0.608  filter  0.000  color red  0.706  green  0.569  blue  0.478  filter  0.000]
      [0.465 0.544   color red  0.706  green  0.569  blue  0.478  filter  0.000  color red  0.686  green  0.541  blue  0.525  filter  0.000]
      [0.544 0.640   color red  0.686  green  0.541  blue  0.525  filter  0.000  color red  0.835  green  0.698  blue  0.624  filter  0.000]
      [0.640 0.860   color red  0.835  green  0.698  blue  0.624  filter  0.000  color red  0.765  green  0.706  blue  0.596  filter  0.000]
      [0.860 0.982   color red  0.765  green  0.706  blue  0.596  filter  0.000  color red  0.600  green  0.514  blue  0.459  filter  0.020]
      [0.982 1.001   color red  0.600  green  0.514  blue  0.459  filter  0.020  color red  0.788  green  0.659  blue  0.573  filter  0.000]
    }
  }
  finish { crand 0.05 }
}

//--------------  high filter's for top layer
#declare st5 =
texture {
  pigment {
    marble
    turbulence 0.5
    color_map {
      [0.000 0.175   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  0.843  green  0.678  blue  0.655  filter  0.753]
      [0.175 0.228   color red  0.843  green  0.678  blue  0.655  filter  0.753  color red  0.906  green  0.831  blue  0.773  filter  0.98]
      [0.228 0.386   color red  0.906  green  0.831  blue  0.773  filter  0.698  color red  0.992  green  0.718  blue  0.545  filter  0.794]
      [0.386 0.412   color red  0.992  green  0.718  blue  0.545  filter  0.794  color red  0.333  green  0.188  blue  0.067  filter  0.784]
      [0.412 0.439   color red  0.333  green  0.188  blue  0.067  filter  0.784  color red  0.925  green  0.557  blue  0.514  filter  0.778]
      [0.439 0.684   color red  0.925  green  0.557  blue  0.514  filter  0.678  color red  0.984  green  0.780  blue  0.655  filter  0.696]
      [0.684 0.781   color red  0.984  green  0.780  blue  0.655  filter  0.696  color red  0.965  green  0.847  blue  0.675  filter  0.880]
      [0.781 0.982   color red  0.965  green  0.847  blue  0.675  filter  0.880  color red  1.000  green  0.718  blue  0.541  filter  0.990]
      [0.982 1.001   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  1.000  green  0.718  blue  0.541  filter  0.890]
    }
  }
}

#declare st6 =
texture {
  pigment {
    marble
    turbulence 0.5
    color_map {
      [0.000 0.193   color red  0.847  green  0.753  blue  0.690  filter  0.000  color red  0.878  green  0.812  blue  0.800  filter  0.000]
      [0.193 0.281   color red  0.878  green  0.812  blue  0.800  filter  0.000  color red  0.847  green  0.796  blue  0.753  filter  0.000]
      [0.281 0.368   color red  0.847  green  0.796  blue  0.753  filter  0.000  color red  0.663  green  0.627  blue  0.608  filter  0.000]
      [0.368 0.447   color red  0.663  green  0.627  blue  0.608  filter  0.000  color red  0.812  green  0.725  blue  0.667  filter  0.000]
      [0.447 0.526   color red  0.812  green  0.725  blue  0.667  filter  0.000  color red  0.816  green  0.733  blue  0.725  filter  0.000]
      [0.526 0.623   color red  0.816  green  0.733  blue  0.725  filter  0.000  color red  0.890  green  0.800  blue  0.749  filter  0.000]
      [0.623 0.833   color red  0.890  green  0.800  blue  0.749  filter  0.000  color red  0.835  green  0.796  blue  0.722  filter  0.000]
      [0.833 0.982   color red  0.835  green  0.796  blue  0.722  filter  0.000  color red  0.796  green  0.753  blue  0.725  filter  0.020]
      [0.982 1.001   color red  0.796  green  0.753  blue  0.725  filter  0.020  color red  0.847  green  0.753  blue  0.690  filter  0.000]
    }
  }
}

/*-------------------DEEP THAN MARBLE1 With filter For SECOND LAYERS--------*/
#declare st7 =
texture {
  pigment {
    marble
    turbulence 0.6
    color_map {
      [0.000 0.291   color red  0.690  green  0.612  blue  0.569  filter  1.00   color red  0.737  green  0.596  blue  0.522  filter  0.500]
      [0.291 0.316   color red  0.737  green  0.596  blue  0.522  filter  0.500  color red  0.667  green  0.561  blue  0.514  filter  0.300]
      [0.316 0.436   color red  0.667  green  0.561  blue  0.514  filter  0.300  color red  0.788  green  0.667  blue  0.631  filter  0.500]
      [0.436 0.641   color red  0.788  green  0.667  blue  0.631  filter  0.500  color red  0.604  green  0.506  blue  0.455  filter  0.700]
      [0.641 0.692   color red  0.604  green  0.506  blue  0.455  filter  0.700  color red  0.773  green  0.612  blue  0.569  filter  0.400]
      [0.692 1.001   color red  0.773  green  0.612  blue  0.569  filter  0.400  color red  0.690  green  0.612  blue  0.569  filter  1.000]
    }
  }
  finish { crand 0.03 }
}

/*-------------------Yellows & whites tints with high filter--------*/
#declare st8 =
texture {
  pigment {
    marble
    turbulence 0.6
    color_map {
      [0.000 0.103   color red  1.000  green  1.000  blue  0.580  filter  0.576  color red  1.000  green  0.835  blue  0.420  filter  0.737]
      [0.103 0.328   color red  1.000  green  0.835  blue  0.420  filter  0.737  color red  0.980  green  0.980  blue  0.780  filter  0.718]
      [0.328 0.474   color red  0.980  green  0.980  blue  0.780  filter  0.718  color red  1.000  green  1.000  blue  0.867  filter  0.761]
      [0.474 0.603   color red  1.000  green  1.000  blue  0.867  filter  0.761  color red  0.929  green  0.753  blue  0.639  filter  0.741]
      [0.603 0.690   color red  0.929  green  0.753  blue  0.639  filter  0.741  color red  0.706  green  0.580  blue  0.294  filter  0.839]
      [0.690 0.836   color red  0.706  green  0.580  blue  0.294  filter  0.839  color red  0.973  green  0.788  blue  0.580  filter  0.831]
      [0.836 1.001   color red  0.973  green  0.788  blue  0.580  filter  0.831  color red  1.000  green  1.000  blue  0.580  filter  0.576]
    }
  }
  finish { crand 0.03 }
}

/*-------------------Grays & muted Greens--------*/
#declare st9 =
texture {
  pigment {
    marble
    turbulence 0.7
    color_map {
      [0.000 0.155   color red  0.259  green  0.259  blue  0.259  filter  0.000  color red  0.341  green  0.365  blue  0.341  filter  0.000]
      [0.155 0.328   color red  0.341  green  0.365  blue  0.341  filter  0.000  color red  0.310  green  0.267  blue  0.310  filter  0.000]
      [0.328 0.474   color red  0.310  green  0.267  blue  0.310  filter  0.000  color red  0.318  green  0.318  blue  0.235  filter  0.000]
      [0.474 0.750   color red  0.318  green  0.318  blue  0.235  filter  0.000  color red  0.427  green  0.424  blue  0.420  filter  0.000]
      [0.750 0.871   color red  0.427  green  0.424  blue  0.420  filter  0.000  color red  0.306  green  0.306  blue  0.247  filter  0.000]
      [0.871 0.983   color red  0.306  green  0.306  blue  0.247  filter  0.000  color red  0.337  green  0.337  blue  0.333  filter  0.000]
      [0.983 1.001   color red  0.337  green  0.337  blue  0.333  filter  0.000  color red  0.259  green  0.259  blue  0.259  filter  0.000]
    }
  }
  finish { crand 0.03 }
}

//-------------- creams & rose With high filter's for top layer
#declare st13 =
texture {
  pigment {
    marble
    turbulence 0.7
    color_map {
      [0.000 0.175   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  0.843  green  0.678  blue  0.655  filter  0.753]
      [0.175 0.228   color red  0.843  green  0.678  blue  0.655  filter  0.753  color red  0.906  green  0.831  blue  0.773  filter  0.598]
      [0.228 0.386   color red  0.906  green  0.831  blue  0.773  filter  0.598  color red  0.992  green  0.718  blue  0.545  filter  0.594]
      [0.386 0.412   color red  0.992  green  0.718  blue  0.545  filter  0.594  color red  0.333  green  0.188  blue  0.067  filter  0.584]
      [0.412 0.439   color red  0.333  green  0.188  blue  0.067  filter  0.584  color red  0.925  green  0.557  blue  0.514  filter  0.578]
      [0.439 0.684   color red  0.925  green  0.557  blue  0.514  filter  0.678  color red  0.984  green  0.780  blue  0.655  filter  0.796]
      [0.684 0.781   color red  0.984  green  0.780  blue  0.655  filter  0.696  color red  0.965  green  0.847  blue  0.675  filter  0.880]
      [0.781 0.982   color red  0.965  green  0.847  blue  0.675  filter  0.980  color red  1.000  green  0.718  blue  0.541  filter  0.890]
      [0.982 1.001   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  1.000  green  0.718  blue  0.541  filter  0.890]
    }
  }
}

//-------------- a More Tubulated st2
#declare st10 =
texture {
  pigment { 
    marble
    turbulence 0.7
    color_map {
      [0.000 0.175   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  0.843  green  0.678  blue  0.655  filter  0.753]
      [0.175 0.228   color red  0.843  green  0.678  blue  0.655  filter  0.753  color red  0.906  green  0.831  blue  0.773  filter  0.498]
      [0.228 0.386   color red  0.906  green  0.831  blue  0.773  filter  0.498  color red  0.992  green  0.718  blue  0.545  filter  0.494]
      [0.386 0.412   color red  0.992  green  0.718  blue  0.545  filter  0.494  color red  0.333  green  0.188  blue  0.067  filter  0.484]
      [0.412 0.439   color red  0.333  green  0.188  blue  0.067  filter  0.484  color red  0.925  green  0.557  blue  0.514  filter  0.578]
      [0.439 0.684   color red  0.925  green  0.557  blue  0.514  filter  0.578  color red  0.984  green  0.780  blue  0.655  filter  0.596]
      [0.684 0.781   color red  0.984  green  0.780  blue  0.655  filter  0.596  color red  0.965  green  0.847  blue  0.675  filter  0.780]
      [0.781 0.982   color red  0.965  green  0.847  blue  0.675  filter  0.780  color red  1.000  green  0.718  blue  0.541  filter  0.890]
      [0.982 1.001   color red  1.000  green  0.718  blue  0.541  filter  0.890  color red  1.000  green  0.718  blue  0.541  filter  0.890]
    }
  }
}

/*--------------------Crack & OverTint /Green---------------------*/
#declare st11 =
texture {
  pigment {
    marble
    turbulence 0.7
    color_map {
      [0.0 0.05 color Black filter 0.6 color Black filter 1.0]
      [0.05 0.95 color DarkGreen filter 0.85 color DimGray filter 0.90] 
      [0.95 1.001 color Black filter 0.9 color Black filter 1.0]
    }
  }   
}

/*------------- THIN BLACK CRACK ---------------*/
#declare butt_crack =
texture {
  pigment {
    marble
    turbulence 0.7
    color_map {
      [0.000 0.026   color red  0.000  green  0.000  blue  0.000  filter  0.922  color red  0.333  green  0.333  blue  0.000  filter  1.000]
      [0.026 0.383   color red  0.333  green  0.333  blue  0.000  filter  1.000  color red  0.333  green  0.333  blue  0.000  filter  1.000]
      [0.383 0.426   color red  0.333  green  0.333  blue  0.000  filter  1.000  color red  0.000  green  0.000  blue  0.000  filter  0.257]
      [0.426 0.461   color red  0.000  green  0.000  blue  0.000  filter  0.257  color red  0.455  green  0.333  blue  0.000  filter  0.714]
      [0.461 0.522   color red  0.455  green  0.333  blue  0.000  filter  0.714  color red  0.333  green  0.333  blue  0.000  filter  0.996]
      [0.522 0.965   color red  0.333  green  0.333  blue  0.000  filter  0.996  color red  0.333  green  0.333  blue  0.000  filter  1.000]
      [0.965 0.983   color red  0.333  green  0.333  blue  0.000  filter  1.000  color red  0.000  green  0.000  blue  0.000  filter  0.731]
      [0.983 1.001   color red  0.000  green  0.000  blue  0.000  filter  0.731  color red  0.000  green  0.000  blue  0.000  filter  0.422]
    }
  }
  finish { crand 0.01 }
}

//--------- Clear with White feather Viens ----- This one does contain filter
#declare Grnt22 =
texture {
  pigment {
    granite
    turbulence 0.0
    color_map {
      [0.0 0.07 color White color White]
      [0.07 0.2 color White color DimGray ]
      [0.2 0.3 color DimGray color Clear]
      [0.3 0.7 color Clear color Clear]
      [0.7 1.0 color Clear color DimGray ]
    }
  }
  finish { crand 0.02 }
}

//--------- White Feature Viens
#declare Grnt20a =
texture {
  pigment {
    granite
    turbulence 0.0
    color_map {
      [0.0 0.2 color White filter 0.0 color White filter 0.7]
      [0.2 0.3 color White filter 0.7 color Clear ]
      [0.3 1.0 color Clear color Clear]
    }
  }
  finish { crand 0.02 }
}

//---------- Overtint Green with Black Cracks
#declare Crack3 =
texture {
  pigment {
    marble
    turbulence 0.85
    color_map {
      [0.0 0.04 color Black filter 0.6 color Black filter 1.0]
      [0.04 0.97 color DarkGreen filter 0.80 color DarkGreen filter 0.90]
      [0.97 1.001 color Black filter 0.9 color Black filter 1.0]
    }
  }
}

//--------- Overtint with White Crack
#declare Crack4 =
texture {
  pigment {
    marble
    turbulence 0.85
    color_map {
      [0.0 0.03 color White filter 0.5 color White filter 1.0]
      [0.03 0.97 color Black filter 0.70 color DimGray filter 0.90]
      [0.97 1.001 color White filter 0.7 color White filter 1.0]
    }
  }
}

//------- Red Swirl
#declare Grnt28 =
texture {
  pigment {
    marble
    turbulence 0.7
    color_map {
      [0.000 0.155   color red  0.686  green  0.235  blue  0.282  filter  0.000  color red  0.686  green  0.235  blue  0.282  filter  0.000]
      [0.155 0.328   color red  0.686  green  0.235  blue  0.282  filter  0.000  color red  0.494  green  0.243  blue  0.294  filter  0.000]
      [0.328 0.474   color red  0.494  green  0.243  blue  0.294  filter  0.000  color red  0.769  green  0.329  blue  0.373  filter  0.000]
      [0.474 0.647   color red  0.769  green  0.329  blue  0.373  filter  0.000  color red  0.769  green  0.329  blue  0.373  filter  0.000]
      [0.647 0.810   color red  0.769  green  0.329  blue  0.373  filter  0.000  color red  0.686  green  0.235  blue  0.282  filter  0.000]
      [0.810 0.922   color red  0.686  green  0.235  blue  0.282  filter  0.000  color red  0.792  green  0.388  blue  0.427  filter  0.000]
      [0.922 1.001   color red  0.792  green  0.388  blue  0.427  filter  0.000  color red  0.686  green  0.235  blue  0.282  filter  0.000]
    }
  }
  finish { crand 0.03 }
}

//--- Stair Colors
#declare swall_col =
texture {
  st6
  finish { ambient 0.4 diffuse 0.7 }
  scale <40, 50, 2>
  rotate <0, 0, -25> }
texture {
  pigment { color red 0.40 green 0.33 blue 0.33 filter 0.3 }
  finish { diffuse 0.5 }
}
texture {
  butt_crack
  scale <90 140 50>
  finish { phong 1.0 }
}

#declare step_col =
texture {
  st6
  finish { ambient 0.3 diffuse 0.8 }
  scale <40, 50, 2>
  rotate <0, 0, -25>
}
texture {
  pigment { color red 0.46 green 0.33 blue 0.33 filter 0.5 }
  finish { diffuse 0.5 }
}
texture {
  butt_crack
  scale <52, 80, 90>
  finish { phong 1.0 reflection 0.2 }
}

//---- Checker Texture
#declare t1 =
texture {
  st6
  finish { ambient 0.2 diffuse 0.4 }
  scale <2.5, 2.3, 0.3>
  rotate <0, 0, 40>
}

#declare t2 =
texture {
  st6
  finish { ambient 0.4 diffuse 0.7 }
  scale <2.3, 3.5, 0.3> 
  rotate <0, 0, -25> 
}

//------------- Red Marble with gray & white veining
#declare Stone21 =
texture { Grnt28 scale <1.3, 2.5, 1.7> rotate <0, 0, 40> }
texture { Grnt22 scale <1, 2, 2> rotate <0, 0, 40> }
texture { Crack4 scale <1, 0.6, 1> rotate <10, 0, -20> finish { phong 1.0 phong_size 90 } }

//------------- Green Jade with white veining
#declare Stone18 =
texture { pigment { color SeaGreen } finish { ambient 0.3 diffuse 0.6 crand 0.03 } }
texture { Grnt22 scale <1.5, 0.7, 0.5> rotate <0, 0, 40>  }
texture { Grnt20a scale <2.5, 2, 0.5> rotate <0, 0, -50>  }
texture { Crack4 scale <0.7, 1, 1> rotate <10, 0, -20> finish { phong 1.0 phong_size 90 } }

//------------- Med Gray Green with white veining
#declare GreenStone1 =
texture { pigment { color red 0.4 green 0.5 blue 0.45 } }
texture { Grnt22 scale <1.5, 0.7, 0.5> rotate <0, 0, 40>  }
texture { Crack4 scale <0.7, 1, 1> rotate <10, 0, -20> }
texture { pigment { color Gray30 filter 0.8 } finish { phong 1.0 phong_size 90 crand 0.07 ambient 0.1 } }

//------------- Light Gray Green with white veining
#declare GreenStone2 =
texture { pigment { color red 0.4 green 0.5 blue 0.45 } }
texture { Grnt22 scale <1.5, 0.7, 0.5> rotate <0 0 40>  }
texture { Crack4 scale <0.7, 1, 1> rotate <10 0 -20> }
texture { pigment { color Gray30 filter 0.8 } finish { phong 1.0 phong_size 90 crand 0.07 ambient 0.1 } }

// An excellent glass!
#declare MyGlass = material {
  texture {
    pigment { color rgbf <0.98, 0.95, 0.95, 0.9> }
    finish { 
      ambient 0.1
      diffuse 0.1
      specular 0.8
      reflection 0.2
      roughness 0.001
      phong 1
      phong_size 400
    }
  }
  interior {
//    refraction 0.9
    ior 1.3333
  }
}

